欢迎光临
我们一直在这里

wordpress网站搬家、升级、安装主题或插件后写文章出现HTTP 500错误

最常见的500错误,一般程序文件夹应设成755,单个文件应设成644,不要用777,会出现500错误,参考:乐道主机更改文件权限为755、644方法。如果不是文件权限的问题,最好仔细阅读一下主题的说明,因为这多半是因为主题用到了某个你没有安装的插件。

HTTP 500错误是一种很常见的内部服务器错误,出现这种错误的情况很多,这里只介绍在WordPress里面比较常见的HTTP 500错误。

我们在使用WordPress插件的时候也会遇到这样的问题,其原因是插件版本与我们使用的WordPress产生冲突,解决这个问题只要停用该插件即可。

我们在升级WordPress的时候也会遇到这样的情况,当你把新版本WordPress程序文件上传到服务器覆盖原来旧的WordPress程序 文件后(或者你将旧版本WordPress的数据库导入到新版本WordPress数据库后),你再访问网站会出现HTTP 500错误,网站不能访问了怎么办?我们常遇到的错误主要有以下种情况:

1、主题不兼容:是你的主题中PHP程序与新版本WordPress程序不兼容,解决这种错误首先需要用FTP工具将站点上正在使用的主题更名,然后再尝试访问网站。可参考:WordPress网站首页打开空白,如何更换主题

2、插件不兼容:是由于某个插件和新版本的WordPress程序不兼容,解决这种错误只要用FTP工具登录到空间里,将站点wp-content>>plugins里的插件全部删除,然后登录网站重新一个一个尝试安装插件,找到问题插件。

3、伪静态错误。把根目录下的.htaccess文件里的伪静态代码删除试试,删除前先备份下。

其实引起500的错误的原因还有很多,可百度研究学习。

赞(0) 打赏
未经允许不得转载:邱昂 » wordpress网站搬家、升级、安装主题或插件后写文章出现HTTP 500错误
分享到: 更多 (0)

评论 1

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #1

    停用所有插件,重新一个一个启用,应该是编辑插件出现问题。

    邱昂1个月前 (08-09)回复

一不做官,二不发财,三做个平凡的人。

联系我们

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏